# ee.data.listImages

<br />

Returns a list of the contents in an image collection, in an object that includes an `images` array and an optional `nextPageToken`.

<br />

| Usage | Returns |
|---|---|
| `ee.data.listImages(parent, *params*, *callback*)` | ListImagesResponse |

| Argument | Type | Details |
|---|---|---|
| `parent` | String | The ID of the image collection to list. |
| `params` | Object, optional | An object containing optional request parameters with the following possible values: |---| | ` pageSize ` (string) The number of results to return. If not specified, all results are returned. | | ` pageToken ` (string) The token page of results to return. | | ` startTime ` (ISO 8601 string) The minimum start time (inclusive). | | ` endTime ` (ISO 8601 string) The maximum end time (exclusive). | | ` region ` (GeoJSON or WKT string) A region to filter on. | | ` properties ` (list of strings) A list of property filters to apply, for example: \["classification=urban", "size\>=2"\]. | | ` filter ` (string) An additional filter query to apply. Example query: `properties.my_property>=1 AND properties.my_property<2 AND startTime >= "2019-01-01T00:00:00.000Z" AND endTime < "2020-01-01T00:00:00.000Z" AND intersects("{'type':'Point','coordinates':[0,0]}")` See https://google.aip.dev/160 for how to construct a query. | | ` view ` (string) Specifies how much detail is returned in the list. Either "FULL" (default) for all image properties or "BASIC". | |
| `callback` | Function, optional | If not supplied, the call is made synchronously. |